# Method: projects.locations.services.setIamPolicy

- [HTTP request](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services/setIamPolicy#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services/setIamPolicy#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services/setIamPolicy#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services/setIamPolicy#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services/setIamPolicy#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services/setIamPolicy#body.aspect)

Sets the IAM Access control policy for the specified Service. Overwrites any existing policy.

### HTTP request

`POST https://run.googleapis.com/v2/{resource}:setIamPolicy`

### Path parameters

| Parameters ||
|---|---|
| `resource` | `string` REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field. It takes the form `projects/{project}/locations/{location}/services/{service}`. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "policy": { object (`https://docs.cloud.google.com/run/docs/reference/rest/Shared.Types/Policy`) }, "updateMask": string } ``` |

| Fields ||
|---|---|
| `policy` | ``object (`https://docs.cloud.google.com/run/docs/reference/rest/Shared.Types/Policy`)`` REQUIRED: The complete policy to be applied to the resource. The policy size is limited to 64 KB. An empty policy is valid, but certain Google Cloud services, such as Projects, might reject it. |
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: "bindings, etag"` This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/run/docs/reference/rest/Shared.Types/Policy`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).